PooledParallelSender (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.transport.nio.PooledParallelSender class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.transport.nio
Class PooledParallelSender

    java.lang.Object
      org.apache.catalina.tribes.transport.AbstractSender
          org.apache.catalina.tribes.transport.PooledSender
              org.apache.catalina.tribes.transport.nio.PooledParallelSender

All Implemented Interfaces:
  DataSender, MultiPointSender

    public class PooledParallelSender

extends PooledSender
implements MultiPointSender

Title:

Description:

Company:

Version:
  1.0
Author:
  not attributable

Field Summary
`protected boolean` | `connected`

Constructor Summary
`PooledParallelSender()`

Method Summary
`void` | `connect()` connect
`void` | `disconnect()` disconnect
`DataSender` | `getNewDataSender()`
`void` | `sendMessage(Member[] destination, ChannelMessage message)`

Methods inherited from class org.apache.catalina.tribes.transport.PooledSender
`add, getInPoolSize, getInUsePoolSize, getPoolSize, getSender, keepalive, remove, returnSender, setPoolSize`

Methods inherited from class org.apache.catalina.tribes.transport.AbstractSender
`getAddress, getAttempt, getConnectTime, getDestination, getDirect, getDirectBuffer, getKeepAliveCount, getKeepAliveTime, getMaxRetryAttempts, getOoBInline, getPort, getRequestCount, getRxBufSize, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTcpNoDelay, getThrowOnFailedAck, getTimeout, getTxBufSize, isConnected, setAddress, setAttempt, setConnected, setConnectTime, setDestination, setDirect, setDirectBuffer, setKeepAliveCount, setKeepAliveTime, setMaxRetryAttempts, setOoBInline, setPort, setRequestCount, setRxBufSize, setSoKeepAlive, setSoLingerOn, setSoLingerTime, setSoReuseAddress, setSoTrafficClass, setTcpNoDelay, setThrowOnFailedAck, setTimeout, setTxBufSize, transferProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.catalina.tribes.transport.MultiPointSender
`add, remove, setDirectBuffer, setMaxRetryAttempts, setRxBufSize, setTxBufSize`

Methods inherited from interface org.apache.catalina.tribes.transport.DataSender
`getConnectTime, getRequestCount, isConnected, keepalive, setKeepAliveCount, setKeepAliveTime, setTimeout`

Field Detail

### connected

    protected boolean connected

Constructor Detail

### PooledParallelSender

    public PooledParallelSender()

Method Detail

### sendMessage

    public void sendMessage(Member[] destination,
                            ChannelMessage message)
                     throws ChannelException

  Specified by:
    `sendMessage` in interface `MultiPointSender`
  Throws:
    `ChannelException`

### getNewDataSender

    public DataSender getNewDataSender()

  Specified by:
    `getNewDataSender` in class `PooledSender`

### disconnect

    public void disconnect()

  Description copied from class: `AbstractSender`
  disconnect

  Specified by:
    `disconnect` in interface `DataSender`
  Overrides:
    `disconnect` in class `PooledSender`

### connect

    public void connect()
                 throws java.io.IOException

  Description copied from class: `AbstractSender`
  connect

  Specified by:
    `connect` in interface `DataSender`
  Overrides:
    `connect` in class `PooledSender`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.